--- a/GConf.spec	2019-02-23 06:29:11.477747637 +0300
+++ b/GConf.spec	2019-02-23 06:29:11.490747477 +0300
@@ -105,6 +105,7 @@
 Provides: lib%oldname-devel = %version
 Obsoletes: lib%oldname-devel < %version
 Requires: lib%name = %version-%release
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description -n lib%name-devel
 GConf development package. Contains files needed for doing
@@ -150,6 +151,19 @@
 %description -n lib%name-gir-devel
 GObject introspection devel data for the GConf library
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: libGConf-devel <= 3.2.6-alt3
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q
 install -p -m644 %_sourcedir/libgconf.{map,lds} gconf/
@@ -281,8 +295,9 @@
 %_includedir/*
 %_pkgconfigdir/*
 %_datadir/aclocal/*
-%_rpmmacrosdir/%name
+#%_rpmmacrosdir/%name
 %_sysconfdir/buildreqs/files/ignore.d/gconf
+%exclude %_rpmmacrosdir/*
 
 %files -n lib%name-devel-doc
 %_datadir/gtk-doc/html/*
@@ -303,4 +318,8 @@
 %_girdir/*
 %endif
 
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
+
 %changelog
--- a/e21.spec	2019-02-23 06:29:16.510686166 +0300
+++ b/e21.spec	2019-02-23 06:29:16.530685921 +0300
@@ -104,10 +104,24 @@
 Obsoletes: e17-devel e18-devel
 Provides: e17-devel = %EVR
 Provides: e18-devel = %EVR
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 Development headers for Enlightenment.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: enlightenment-devel <= 0.21.11-alt0.M80P.1.
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %ifdef cvs_date
 %setup -n %name-%version-%cvs_date
@@ -208,6 +222,11 @@
 %_includedir/%name/
 %_pkgconfigdir/%name.pc
 %_pkgconfigdir/everything.pc
-%_rpmmacrosdir/%name
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/%name
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/environment-modules.spec	2019-02-23 06:29:16.677684125 +0300
+++ b/environment-modules.spec	2019-02-23 06:29:16.689683980 +0300
@@ -49,6 +49,7 @@
 Requires(postun): alternatives
 Provides:	environment(modules)
 Source44: import.info
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description
 The Environment Modules package provides for the dynamic modification of
@@ -75,6 +76,19 @@
 have access to the module alias.
 
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: environment-modules <= 3.2.10-alt1_16
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q -n modules-%{version}
 %patch0 -p1 -b .bindir
@@ -136,7 +150,12 @@
 %{_datadir}/modulefiles
 %{_mandir}/man1/module.1*
 %{_mandir}/man4/modulefile.4*
-%{_rpmmacrosdir}/%{name}
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/%{name}
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 
 %changelog
--- a/ggz-base-libs.spec	2019-02-23 06:29:21.903620297 +0300
+++ b/ggz-base-libs.spec	2019-02-23 06:29:21.915620150 +0300
@@ -48,11 +48,25 @@
 Provides: libggz-devel = 1:%{version}-%{release}
 Provides: ggz-client-libs-devel = 1:%{version}-%{release}
 Requires: %{name} = %{version}-%{release}
+Requires: rpm-macros-%{name} = %{version}-%{release}
 # %{_sysconfdir}/rpm ownership
 %description devel
 %{summary}.
 
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: ggz-base-libs-devel <= 0.99.5-alt3_18
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q -n %{name}-snapshot-%{version}
 
@@ -127,7 +141,7 @@
 %{_datadir}/desktop-directories/ggz*.directory
 
 %files devel
-%{_rpmmacrosdir}/ggz
+#%_rpmmacrosdir/ggz
 # GPLv2+
 %{_includedir}/ggzmod.h
 %{_libdir}/libggzmod.so
@@ -143,6 +157,11 @@
 %{_libdir}/libggzcore.so
 %{_libdir}/pkgconfig/ggzcore.pc
 %{_mandir}/man3/ggzcore_h.3*
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 
 %changelog
--- a/meson.spec	2019-02-23 06:29:39.812401563 +0300
+++ b/meson.spec	2019-02-23 06:29:39.820401466 +0300
@@ -42,6 +42,7 @@
 BuildRequires: pkgconfig(zlib)
 BuildRequires: python3-module-Cython
 %endif
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description
 Meson is a build system designed to optimize programmer productivity.
@@ -49,6 +50,19 @@
 software development tools and practices, such as unit tests, coverage
 reports, Valgrind, CCache and the like.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: meson <= 0.45.1-alt1
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup
 
@@ -76,9 +90,14 @@
 %_man1dir/%{name}introspect.1.*
 %_man1dir/%{name}test.1.*
 %_man1dir/wraptool.1.*
-%_rpmmacrosdir/%name
-%_rpmmacrosdir/%name.env
+#%_rpmmacrosdir/%name
+#%_rpmmacrosdir/%name.env
 %doc COPYING README.*
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 
 %changelog
--- a/mozilla-common.spec	2019-02-23 06:29:41.456381484 +0300
+++ b/mozilla-common.spec	2019-02-23 06:29:41.464381386 +0300
@@ -12,10 +12,24 @@
 %package devel
 Summary:	Mozilla common directories
 Group:		Development/Other
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 Mozilla common directories
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: mozilla-common-devel <= 1.0-alt1
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %install
 mkdir -p %buildroot
 cd %buildroot
@@ -42,7 +56,12 @@
 %_datadir/mozilla
 
 %files devel
-%_rpmmacrosdir/%name
+#%_rpmmacrosdir/%name
 %_rpmlibdir/mozcommon.req.list
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/pesign.spec	2019-02-23 06:29:54.743219202 +0300
+++ b/pesign.spec	2019-02-23 06:29:54.747219152 +0300
@@ -11,11 +11,25 @@
 Source: %name-%version-%release.tar
 
 BuildRequires: libnss-devel libpopt-devel
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description
 This package contains the pesign utility for signing UEFI binaries
 as well as other associated tools.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: pesign <= 0.109-alt4
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -n %name-%version-%release
 
@@ -61,7 +75,7 @@
 %_bindir/pesign-client
 %_bindir/efikeygen
 %config(noreplace) %_sysconfdir/popt.d/pesign.popt
-%_rpmmacrosdir/pesign
+#%_rpmmacrosdir/pesign
 %_mandir/man?/*
 %_tmpfilesdir/pesign.conf
 %_initdir/pesign
@@ -70,5 +84,10 @@
 %dir %_runtimedir/pesign/socketdir/
 %ghost %_runtimedir/pesign/socketdir/socket
 %ghost %_runtimedir/pesign.pid
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/xorg-server.spec	2019-02-23 06:30:26.661528016 +0300
+++ b/xorg-server.spec	2019-02-23 06:30:26.686527710 +0300
@@ -173,6 +173,7 @@
 Provides: xorg-glamor-devel = %epoch:%version-%release
 Obsoletes: xorg-glamor-devel < %epoch:%version-%release
 %endif
+Requires: rpm-macros-xorg-sdk = %{version}-%{release}
 
 %description -n xorg-sdk
 The SDK package provides the developmental files which are necessary for
@@ -180,6 +181,19 @@
 outside of the standard X11 source code tree.  Developers writing video
 drivers, input drivers, or other X modules should install this package.
 
+
+%package -n rpm-macros-xorg-sdk
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: xorg-sdk <= 1.18.4-alt1.M80P.7
+
+%description -n rpm-macros-xorg-sdk
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q
 %patch -p1
@@ -324,6 +338,11 @@
 %_includedir/xorg
 %_pkgconfigdir/*.pc
 %_datadir/aclocal/*.m4
-%_rpmmacrosdir/xorg-sdk
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/xorg-sdk
+
+%files -n rpm-macros-xorg-sdk
+%_rpmmacrosdir/*
+
 
 %changelog
